JUCE: Decibels Class Reference

JUCE

Static Public Member Functions | List of all members
Decibels Class Reference
juce_audio_basics » utilities

This class contains some helpful static methods for dealing with decibel values. More...

`#include <juce_Decibels.h>`

## Static Public Member Functions
template<typename Type >
static Type | decibelsToGain (Type decibels, Type minusInfinityDb=Type(defaultMinusInfinitydB))
| Converts a dBFS value to its equivalent gain level. More...
template<typename Type >
static Type | gainToDecibels (Type gain, Type minusInfinityDb=Type(defaultMinusInfinitydB))
| Converts a gain level into a dBFS value. More...
template<typename Type >
static String | toString (Type decibels, int decimalPlaces=2, Type minusInfinityDb=Type(defaultMinusInfinitydB), bool shouldIncludeSuffix=true, StringRef customMinusInfinityString={})
| Converts a decibel reading to a string. More...

## Detailed Description

This class contains some helpful static methods for dealing with decibel values.

## Member Function Documentation

## ◆ decibelsToGain()

template<typename Type >

static Type Decibels::decibelsToGain | ( | Type | decibels,
|  | Type | minusInfinityDb = `Type (defaultMinusInfinitydB)`
| ) |  |
| static

Converts a dBFS value to its equivalent gain level.

A gain of 1.0 = 0 dB, and lower gains map onto negative decibel values. Any decibel value lower than minusInfinityDb will return a gain of 0.

Referenced by dsp::LogRampedValue< FloatType >::setLogParameters().

## ◆ gainToDecibels()

template<typename Type >

static Type Decibels::gainToDecibels | ( | Type | gain,
|  | Type | minusInfinityDb = `Type (defaultMinusInfinitydB)`
| ) |  |
| static

Converts a gain level into a dBFS value.

A gain of 1.0 = 0 dB, and lower gains map onto negative decibel values. If the gain is 0 (or negative), then the method will return the value provided as minusInfinityDb.

References jmax().

## ◆ toString()

template<typename Type >

static String Decibels::toString | ( | Type | decibels,
|  | int | decimalPlaces = `2`,
|  | Type | minusInfinityDb = `Type (defaultMinusInfinitydB)`,
|  | bool | shouldIncludeSuffix = `true`,
|  | StringRef | customMinusInfinityString = `{}`
| ) |  |
| static

Converts a decibel reading to a string.

By default the returned string will have the 'dB' suffix added, but this can be removed by setting the shouldIncludeSuffix argument to false. If a customMinusInfinityString argument is provided this will be returned if the value is lower than minusInfinityDb, otherwise the return value will be "-INF".

The documentation for this class was generated from the following file:

- juce_Decibels.h